package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbSchoolMajor;

/**
 * 学校专业Service接口
 * 
 * @author ruoyi
 * @date 2022-08-29
 */
public interface ITbSchoolMajorService 
{
    /**
     * 查询学校专业
     * 
     * @param id 学校专业主键
     * @return 学校专业
     */
    public TbSchoolMajor selectTbSchoolMajorById(Long id);

    /**
     * 查询学校专业列表
     * 
     * @param tbSchoolMajor 学校专业
     * @return 学校专业集合
     */
    public List<TbSchoolMajor> selectTbSchoolMajorList(TbSchoolMajor tbSchoolMajor);

    public List<TbSchoolMajor> selectTbSchoolMajorNotPassList(TbSchoolMajor tbSchoolMajor);

    /**
     * 新增学校专业
     * 
     * @param tbSchoolMajor 学校专业
     * @return 结果
     */
    public int insertTbSchoolMajor(TbSchoolMajor tbSchoolMajor);

    /**
     * 修改学校专业
     * 
     * @param tbSchoolMajor 学校专业
     * @return 结果
     */
    public int updateTbSchoolMajor(TbSchoolMajor tbSchoolMajor);

    /**
     * 修改审核结果
     * @param tbSchoolMajor
     * @return
     */
    public int updateTbSchoolMajorCheckResult(TbSchoolMajor tbSchoolMajor);

    /**
     * 批量删除学校专业
     * 
     * @param ids 需要删除的学校专业主键集合
     * @return 结果
     */
    public int deleteTbSchoolMajorByIds(String ids);

    /**
     * 删除学校专业信息
     * 
     * @param id 学校专业主键
     * @return 结果
     */
    public int deleteTbSchoolMajorById(Long id);
}
